Skip to main content
`Ctrl`+`K`

# DMNetworkGetVertexOffset

Get the offset for accessing the variables associated with the given vertex from the local subvector

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetVertexOffset(DM dm, PetscInt p, PetscInt *offset)

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- p - the vertex point

## Output Parameter

- offset - the offset

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetEdgeOffset()`, `DMGetLocalVector()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages